[rt-users] errors in upgrade to rt-4.2

Ruslan Zakirov ruz at bestpractical.com
Sat Sep 14 14:09:28 EDT 2013


On Sat, Sep 14, 2013 at 5:28 PM, Xin, Qiao <qxin at cio.sc.gov> wrote:

>  Thank both of you  very much for the reply.
>
>   According to the reply from Kevin: "I'm confused how you're running
> 4.0.5 with RTIR 2.6.1, since that
> version isn't compatible with RT 4 (RTIR 3.0.0 is the compatible
> version)."
>
>   After I upgrade RT to 4.0.x but before I upgrade RTIR, I will end up
> with RT 4.0.x with RTIR 2.6.1. Will the system still be able to run? How
> can tell the
>

RT part should be able to do basic things, RTIR has some hooks inserted
into RT, but not so many to prevent everything from working. However, you
should not use such setup in production.


> RT upgrade works fine?
>

You can bring up RT web interface and play around with read only parts.

Anyway, upgrades across major versions should be performed with test runs,
do test run, document every step, play with every aspect important to you,
repeat all steps during cut over.


>  ------------------------------
>  Like you tried to upgrade to 4.2, but instead you download RTIR 3.0.x
> and RT 4.0.x, upgrade RT to 4.0.x, upgrade RTIR to 3.0 following
> corresponding upgrade instructions.
>
>    Thanks again.
>
>  Best regards,
> Qiao
>
>
> --
> RT Training in New York, October 8th and 9th:
> http://bestpractical.com/training
>



-- 
Best regards, Ruslan.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bestpractical.com/pipermail/rt-users/attachments/20130914/59f70fda/attachment.html>


More information about the rt-users mailing list